import { jsx } from "react/jsx-runtime";
import { PencilLine as PencilLine$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const PencilLine = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "PencilLine", ...props, children: /* @__PURE__ */ jsx(PencilLine$1, { weight: variant }) });
  }
);
PencilLine.displayName = "PencilLine";
Object.assign(PencilLine, { isGdsIcon: true });
export {
  PencilLine
};
